## wireless-tools 23

=== Makefile ===
#
# Basic and crude Makefile...
#

# Targets to build
STATIC=libiw.a
DYNAMIC=libiw.so.23
PROGS= iwconfig iwlist iwpriv iwspy iwgetid
MANPAGES=iwconfig.8 iwlist.8 iwpriv.8 iwspy.8

# Composition of the library :
OBJS = iwlib.o

# Define if tools should be built using static or dynamic version of the lib
IWLIBS=$(OBJS)
#IWLIBS=-liw

# Installation directory. By default, go in local.
# Distributions should probably use /usr/sbin, but they probably know better...
INSTALL_DIR= /usr/local/sbin/
INSTALL_LIB= /usr/local/lib/
INSTALL_INC= /usr/local/include/
INSTALL_MAN= /usr/local/man

# Header selection is now supposed to be automatic...

# Use private copy of Wireless Extension definition instead of the
# system wide one in /usr/include/linux. Use with care.
# Can be used to create multiple versions of the tools on the same system
# for multiple kernels or get around broken distributions.
#WE_HEADER= -DPRIVATE_WE_HEADER
WE_HEADER=

# ------------ End of config --------------

CC = gcc
RM = rm -f

RM_CMD = $(RM) *.BAK *.bak *.o ,* *~ *.a

CFLAGS=-O2 -Wall $(HEADERS) $(WE_HEADER)

LIBS=$(IWLIBS) -lm

all:: $(STATIC) $(DYNAMIC) $(PROGS)

.c.o:
	$(CC) $(CFLAGS) -c $<

iwconfig: iwconfig.o $(OBJS)
	$(CC) $(CFLAGS) -o $@ $< $(LIBS)

iwlist: iwlist.o $(OBJS)
	$(CC) $(CFLAGS) -o $@ $< $(LIBS)

iwpriv: iwpriv.o $(OBJS)
	$(CC) $(CFLAGS) -o $@ $< $(LIBS)

iwspy: iwspy.o $(OBJS)
	$(CC) $(CFLAGS) -o $@ $< $(LIBS)

iwgetid: iwgetid.o
	$(CC) $(CFLAGS) -o $@ $^

# Compilation of the dynamic library
$(DYNAMIC): $(OBJS)
	$(CC) -O2 -shared -o $@ -Wl,-soname,$@ -lm -lc $^

# Compilation of the static library
$(STATIC): $(OBJS)
	$(RM) $@
	ar cru $@ $^
	ranlib $@

# So crude but so effective ;-)
# Less crude thanks to many contributions ;-)
install::
	install -m 755 $(PROGS) $(INSTALL_DIR)
	install -m 644 $(STATIC) $(INSTALL_LIB)
	install -m 755 $(DYNAMIC) $(INSTALL_LIB)
	echo "Don't forget to fix your /etc/ld.so.conf and run ldconfig."
	install -m 644 iwlib.h $(INSTALL_INC)
	install -m 644 $(MANPAGES) $(INSTALL_MAN)/man8/

clean::
	$(RM_CMD) 

realclean::
	$(RM_CMD) 
	$(RM) $(STATIC) $(DYNAMIC) $(PROGS)

depend::
	makedepend -s "# DO NOT DELETE" -- $(INCLUDES) -- $(SRCS)
# DO NOT DELETE

## wireless-tools 26+27pre22

=== Makefile ===
##
## Please check the configurion parameters below
##

## Installation directory. By default, go in /usr/local
## Distributions should probably use /usr, but they probably know better...
ifndef PREFIX
  PREFIX = /usr/local
endif

## Compiler to use
CC = gcc

## Uncomment this to build tools using static version of the library
## Mostly useful for embedded platforms without ldd, or to create
## a local version (non-root).
# BUILD_STATIC = y

## Uncomment this to build without using libm (less efficient)
## This is mostly useful for embedded platforms without maths.
# BUILD_NOLIBM = y

# ***************************************************************************
# ***** Most users should not need to change anything beyond this point *****
# ***************************************************************************

# Version of the Wireless Tools
WT_VERSION := $(shell sed -ne "/WT_VERSION/{s:\([^0-9]*\)::;p;q;}" < iwlib.c )

# Version of Wireless Extensions.
WE_VERSION := $(shell sed -ne "/WE_VERSION/{s:\([^0-9]*\)::;p;q;}" < iwlib.c )

# Always use local header for wireless extensions
WEXT_HEADER = wireless.$(WE_VERSION).h

# Targets to build
STATIC=libiw.a
DYNAMIC=libiw.so.$(WT_VERSION)
PROGS= iwconfig iwlist iwpriv iwspy iwgetid iwevent ifrename
MANPAGES8=iwconfig.8 iwlist.8 iwpriv.8 iwspy.8 iwgetid.8 iwevent.8 ifrename.8
MANPAGES7=wireless.7
MANPAGES5=iftab.5
EXTRAPROGS= macaddr

# Composition of the library :
OBJS = iwlib.o

# Select which library to build and to link tool with
ifdef BUILD_STATIC
  IWLIB=$(STATIC)
  IWLIB_INSTALL=install-static
else
  IWLIB=$(DYNAMIC)
  IWLIB_INSTALL=install-dynamic
endif

# Standard name for dynamic library so that the dynamic linker can pick it.
# We will just create a symbolic link to the real thing.
DYNAMIC_LINK= libiw.so

# Install directories
INSTALL_DIR= $(PREFIX)/sbin/
INSTALL_LIB= $(PREFIX)/lib/
INSTALL_INC= $(PREFIX)/include/
INSTALL_MAN= $(PREFIX)/man/

# Various commands
RM = rm -f
RM_CMD = $(RM) *.BAK *.bak *.d *.o *.so ,* *~ *.a *.orig *.rej *.out
LDCONFIG = ldconfig

# Do we want to build with or without libm ?
ifdef BUILD_NOLIBM
  LIBS=
  WELIB_FLAG = -DWE_NOLIBM=y
else
  LIBS= -lm
endif

# Other flags
CFLAGS=-Os -W -Wall -Wstrict-prototypes -Wmissing-prototypes -Wshadow \
	-Wpointer-arith -Wcast-qual -Winline -I.
#CFLAGS=-O2 -W -Wall -Wstrict-prototypes -I.
DEPFLAGS=-MMD
XCFLAGS=$(CFLAGS) $(DEPFLAGS) $(WARN) $(HEADERS) $(WELIB_FLAG)
PICFLAG=-fPIC

# Standard compilation targets
all:: $(IWLIB) $(PROGS)

%: %.o
	$(CC) $(LDFLAGS) $(XCFLAGS) -o $@ $^ $(LIBS)
%.o: %.c wireless.h
	$(CC) $(XCFLAGS) -c $<
%.so: %.c wireless.h
	$(CC) $(XCFLAGS) $(PICFLAG) -c -o $@ $<

iwconfig: iwconfig.o $(IWLIB)

iwlist: iwlist.o $(IWLIB)

iwpriv: iwpriv.o $(IWLIB)

iwspy: iwspy.o $(IWLIB)

iwgetid: iwgetid.o

iwevent: iwevent.o $(IWLIB)

ifrename: ifrename.o $(IWLIB)

macaddr: macaddr.o $(IWLIB)

# It's a kind of magic...
wireless.h:
	cp $(WEXT_HEADER) wireless.h

# Compilation of the dynamic library
$(DYNAMIC): $(OBJS:.o=.so)
	$(CC) -shared -o $@ -Wl,-soname,$@ $(LIBS) -lc $^

# Compilation of the static library
$(STATIC): $(OBJS)
	$(RM) $@
	ar cru $@ $^
	ranlib $@

# So crude but so effective ;-)
# Less crude thanks to many contributions ;-)
install:: all $(IWLIB_INSTALL)
	install -m 755 -d $(INSTALL_DIR)
	install -m 755 $(PROGS) $(INSTALL_DIR)
	install -m 755 -d $(INSTALL_INC)
	install -m 644 iwlib.h $(INSTALL_INC)
	install -m 644 wireless.h $(INSTALL_INC)
	install -m 755 -d $(INSTALL_MAN)/man8/
	install -m 644 $(MANPAGES8) $(INSTALL_MAN)/man8/
	install -m 755 -d $(INSTALL_MAN)/man7/
	install -m 644 $(MANPAGES7) $(INSTALL_MAN)/man7/
	install -m 755 -d $(INSTALL_MAN)/man5/
	install -m 644 $(MANPAGES5) $(INSTALL_MAN)/man5/

# Install the dynamic library
install-dynamic:: $(DYNAMIC)
	install -m 755 -d $(INSTALL_LIB)
	install -m 755 $(DYNAMIC) $(INSTALL_LIB)
	ln -sfn $(DYNAMIC) $(INSTALL_LIB)/$(DYNAMIC_LINK)
	@echo "*** Don't forget to add $(INSTALL_LIB) to /etc/ld.so.conf, and run ldconfig as root. ***"
	@$(LDCONFIG) || echo "*** Could not run ldconfig ! ***"

# Install the static library
install-static:: $(STATIC)
	install -m 755 -d $(INSTALL_LIB)
	install -m 644 $(STATIC) $(INSTALL_LIB)

clean::
	$(RM_CMD) 

realclean::
	$(RM_CMD) 
	$(RM) $(STATIC) $(DYNAMIC) $(PROGS) $(EXTRAPROGS) libiw* wireless.h

uninstall::
	for f in $(PROGS); do \
	  $(RM) $(INSTALL_DIR)/$$f; \
	done
	$(RM) $(INSTALL_LIB)/$(STATIC)
	$(RM) $(INSTALL_LIB)/$(DYNAMIC)
	$(RM) $(INSTALL_LIB)/$(DYNAMIC_LINK)
	$(RM) $(INSTALL_INC)/iwlib.h
	$(RM) $(INSTALL_INC)/wireless.h
	for f in $(MANPAGES8); do \
	  $(RM) $(INSTALL_MAN)/man8/$$f; \
	done
	for f in $(MANPAGES7); do \
	  $(RM) $(INSTALL_MAN)/man7/$$f; \
	done
	for f in $(MANPAGES5); do \
	  $(RM) $(INSTALL_MAN)/man5/$$f; \
	done

# Include dependancies
-include *.d

## wireless-tools 27

=== Makefile ===
--- 
+++ 
@@ -3,13 +3,16 @@
 ##
 
 ## Installation directory. By default, go in /usr/local
-## Distributions should probably use /usr, but they probably know better...
+## Distributions should probably use /, but they probably know better...
 ifndef PREFIX
   PREFIX = /usr/local
 endif
 
-## Compiler to use
+## Compiler to use (modify this for cross compile)
 CC = gcc
+## Other tools you need to modify for cross compile (static lib only)
+AR = ar
+RANLIB = ranlib
 
 ## Uncomment this to build tools using static version of the library
 ## Mostly useful for embedded platforms without ldd, or to create
@@ -25,10 +28,10 @@
 # ***************************************************************************
 
 # Version of the Wireless Tools
-WT_VERSION := $(shell sed -ne "/WT_VERSION/{s:\([^0-9]*\)::;p;q;}" < iwlib.c )
+WT_VERSION := $(shell sed -ne "/WT_VERSION/{s:\([^0-9]*\)::;p;q;}" < iwlib.h )
 
 # Version of Wireless Extensions.
-WE_VERSION := $(shell sed -ne "/WE_VERSION/{s:\([^0-9]*\)::;p;q;}" < iwlib.c )
+WE_VERSION := $(shell sed -ne "/WE_VERSION/{s:\([^0-9]*\)::;p;q;}" < iwlib.h )
 
 # Always use local header for wireless extensions
 WEXT_HEADER = wireless.$(WE_VERSION).h
@@ -103,7 +106,7 @@
 
 iwspy: iwspy.o $(IWLIB)
 
-iwgetid: iwgetid.o
+iwgetid: iwgetid.o $(IWLIB)
 
 iwevent: iwevent.o $(IWLIB)
 
@@ -122,8 +125,8 @@
 # Compilation of the static library
 $(STATIC): $(OBJS)
 	$(RM) $@
-	ar cru $@ $^
-	ranlib $@
+	$(AR) cru $@ $^
+	$(RANLIB) $@
 
 # So crude but so effective ;-)
 # Less crude thanks to many contributions ;-)

## wireless-tools 28-1.osso1

=== Makefile ===
--- 
+++ 
@@ -22,6 +22,10 @@
 ## Uncomment this to build without using libm (less efficient)
 ## This is mostly useful for embedded platforms without maths.
 # BUILD_NOLIBM = y
+
+## Uncomment this to strip binary from symbols. This reduce binary size
+## by a few percent but make debug worse...
+# BUILD_STRIPPING = y
 
 # ***************************************************************************
 # ***** Most users should not need to change anything beyond this point *****
@@ -43,7 +47,7 @@
 MANPAGES8=iwconfig.8 iwlist.8 iwpriv.8 iwspy.8 iwgetid.8 iwevent.8 ifrename.8
 MANPAGES7=wireless.7
 MANPAGES5=iftab.5
-EXTRAPROGS= macaddr
+EXTRAPROGS= macaddr iwmulticall
 
 # Composition of the library :
 OBJS = iwlib.o
@@ -64,8 +68,8 @@
 # Install directories
 INSTALL_DIR= $(PREFIX)/sbin/
 INSTALL_LIB= $(PREFIX)/lib/
-INSTALL_INC= $(PREFIX)/include/
-INSTALL_MAN= $(PREFIX)/man/
+INSTALL_INC= $(PREFIX)/usr/include/
+INSTALL_MAN= $(PREFIX)/usr/share/man/
 
 # Various commands
 RM = rm -f
@@ -75,15 +79,22 @@
 # Do we want to build with or without libm ?
 ifdef BUILD_NOLIBM
   LIBS=
-  WELIB_FLAG = -DWE_NOLIBM=y
+  WELIB_FLAG= -DWE_NOLIBM=y
 else
   LIBS= -lm
 endif
 
+# Stripping or not ?
+ifdef BUILD_STRIPPING
+  STRIPFLAGS= -Wl,-s
+else
+  STRIPFLAGS=
+endif
+
 # Other flags
-CFLAGS=-Os -W -Wall -Wstrict-prototypes -Wmissing-prototypes -Wshadow \
+#CFLAGS=-Os -W -Wall -Wstrict-prototypes -Wmissing-prototypes -Wshadow \
 	-Wpointer-arith -Wcast-qual -Winline -I.
-#CFLAGS=-O2 -W -Wall -Wstrict-prototypes -I.
+CFLAGS=-O2 -W -Wall -Wstrict-prototypes -I.
 DEPFLAGS=-MMD
 XCFLAGS=$(CFLAGS) $(DEPFLAGS) $(WARN) $(HEADERS) $(WELIB_FLAG)
 PICFLAG=-fPIC
@@ -92,7 +103,7 @@
 all:: $(IWLIB) $(PROGS)
 
 %: %.o
-	$(CC) $(LDFLAGS) $(XCFLAGS) -o $@ $^ $(LIBS)
+	$(CC) $(LDFLAGS) $(STRIPFLAGS) $(XCFLAGS) -o $@ $^ $(LIBS)
 %.o: %.c wireless.h
 	$(CC) $(XCFLAGS) -c $<
 %.so: %.c wireless.h
@@ -114,34 +125,27 @@
 
 macaddr: macaddr.o $(IWLIB)
 
+# Always do symbol stripping here
+iwmulticall: iwmulticall.o
+	$(CC) $(LDFLAGS) -Wl,-s $(XCFLAGS) -o $@ $^ $(LIBS)
+
 # It's a kind of magic...
 wireless.h:
 	cp $(WEXT_HEADER) wireless.h
 
 # Compilation of the dynamic library
 $(DYNAMIC): $(OBJS:.o=.so)
-	$(CC) -shared -o $@ -Wl,-soname,$@ $(LIBS) -lc $^
+	$(CC) -shared -o $@ -Wl,-soname,$@ $(STRIPFLAGS) $(LIBS) -lc $^
 
 # Compilation of the static library
-$(STATIC): $(OBJS)
+$(STATIC): $(OBJS:.o=.so)
 	$(RM) $@
 	$(AR) cru $@ $^
 	$(RANLIB) $@
 
-# So crude but so effective ;-)
+# Installation : So crude but so effective ;-)
 # Less crude thanks to many contributions ;-)
-install:: all $(IWLIB_INSTALL)
-	install -m 755 -d $(INSTALL_DIR)
-	install -m 755 $(PROGS) $(INSTALL_DIR)
-	install -m 755 -d $(INSTALL_INC)
-	install -m 644 iwlib.h $(INSTALL_INC)
-	install -m 644 wireless.h $(INSTALL_INC)
-	install -m 755 -d $(INSTALL_MAN)/man8/
-	install -m 644 $(MANPAGES8) $(INSTALL_MAN)/man8/
-	install -m 755 -d $(INSTALL_MAN)/man7/
-	install -m 644 $(MANPAGES7) $(INSTALL_MAN)/man7/
-	install -m 755 -d $(INSTALL_MAN)/man5/
-	install -m 644 $(MANPAGES5) $(INSTALL_MAN)/man5/
+install:: $(IWLIB_INSTALL) install-bin install-hdr install-man
 
 # Install the dynamic library
 install-dynamic:: $(DYNAMIC)
@@ -156,6 +160,37 @@
 	install -m 755 -d $(INSTALL_LIB)
 	install -m 644 $(STATIC) $(INSTALL_LIB)
 
+# All the binaries. Careful, no dependancy on install-dynamic
+install-bin:: all
+	install -m 755 -d $(INSTALL_DIR)
+	install -m 755 $(PROGS) $(INSTALL_DIR)
+
+# Headers to go with the wireless lib (dev)
+install-hdr:: wireless.h
+	install -m 755 -d $(INSTALL_INC)
+	install -m 644 iwlib.h $(INSTALL_INC)
+	install -m 644 wireless.h $(INSTALL_INC)
+
+# How could you live without those manapages ?
+install-man::
+	for lang in . cs fr; do \
+		install -m 755 -d $(INSTALL_MAN)/$$lang/man8/; \
+		install -m 644 $$lang/$(MANPAGES8) $(INSTALL_MAN)/$$lang/man8/; \
+		install -m 755 -d $(INSTALL_MAN)/$$lang/man7/; \
+		install -m 644 $$lang/$(MANPAGES7) $(INSTALL_MAN)/$$lang/man7/; \
+		install -m 755 -d $(INSTALL_MAN)/$$lang/man5/; \
+		install -m 644 $$lang/$(MANPAGES5) $(INSTALL_MAN)/$$lang/man5/; \
+	done
+
+install-iwmulticall:: iwmulticall
+	install -m 755 -d $(INSTALL_DIR)
+	install -m 755 $< $(INSTALL_DIR)/iwconfig
+	( cd $(INSTALL_DIR) ; \
+	  ln -f -s iwconfig iwlist ; \
+	  ln -f -s iwconfig iwspy ; \
+	  ln -f -s iwconfig iwpriv ; \
+	  ln -f -s iwconfig iwgetid )
+
 clean::
 	$(RM_CMD)

=== debian/changelog ===
wireless-tools (28-1.osso1) unstable; urgency=low

  * Changed some build rules to make package buildable in our environment

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Tue, 12 Sep 2006 11:41:11 +0300

wireless-tools (28-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Tue, 11 Apr 2006 19:52:34 +0200

wireless-tools (27+28pre16-1) unstable; urgency=low

  * New upstream release.
  * Move the symlink /lib/libiw.so back to /usr/lib. Closes: #360372

 -- Guus Sliepen <guus@debian.org>  Wed,  5 Apr 2006 13:51:59 +0200

wireless-tools (27+28pre15-1) unstable; urgency=low

  * New upstream release.
  * Move udeb library dependency to shlib file (patch from Frans Pop).
    Closes: #357802

 -- Guus Sliepen <guus@debian.org>  Tue, 21 Mar 2006 12:30:13 +0100

wireless-tools (27+28pre14-1) unstable; urgency=low

  * New upstream release.
  * Move static library to /usr/lib. Closes: #350707
  * Remove /etc/iftab on purge. Closes: #345991

 -- Guus Sliepen <guus@debian.org>  Tue, 14 Feb 2006 12:29:31 +0100

wireless-tools (27+28pre13-1) unstable; urgency=low

  * New upstream release.
  * Stricter version dependency on libiw28. Closes: #345146

 -- Guus Sliepen <guus@debian.org>  Fri, 30 Dec 2005 19:18:46 +0100

wireless-tools (27+28pre11-1) unstable; urgency=low

  * New upstream release.
  * Fix installation of translated manpages.

 -- Guus Sliepen <guus@debian.org>  Fri,  2 Dec 2005 12:30:21 +0100

wireless-tools (27+28pre10-1) unstable; urgency=low

  * New upstream release. Closes: #272662

 -- Guus Sliepen <guus@debian.org>  Mon, 17 Oct 2005 01:17:10 +0200

wireless-tools (27+28pre9-1) unstable; urgency=low

  * New upstream release.
  * Put manpages in the right packages. Closes: #323223
  * Fix mistake in ifrename's init script that prevented it from running.

 -- Guus Sliepen <guus@debian.org>  Wed,  7 Sep 2005 12:59:48 +0200

wireless-tools (27+28pre8-1) unstable; urgency=low

  * New upstream release.
  * Use hyphens instead of underscores in README.Debian. Closes: #309805

 -- Guus Sliepen <guus@debian.org>  Mon, 13 Jun 2005 11:41:28 +0200

wireless-tools (27-3) unstable; urgency=low

  * Add a post-down script that reverts any wireless setting present in
    /etc/network/interfaces to sane defaults. Closes: #303782
  * Add missing wireless-ap option. Closes: #303784
  * Add init script that runs ifrename on system startup. Closes: #243382

 -- Guus Sliepen <guus@debian.org>  Wed, 13 Apr 2005 12:51:03 +0200

wireless-tools (27-2) unstable; urgency=low

  * Backport fix from 28pre4 for MadWiFi scanning.
  * Backport fix from 28pre4 for dashes in interface names. Closes: #289657

 -- Guus Sliepen <guus@debian.org>  Sat,  5 Feb 2005 12:21:30 +0100

wireless-tools (27-1) unstable; urgency=low

  * New upstream release, that "hopefully will help the prompt release of the
    new stable Debian ;-)" Thanks, Jean!

 -- Guus Sliepen <guus@debian.org>  Sat,  6 Nov 2004 15:03:40 +0100

wireless-tools (26+27pre28-1) unstable; urgency=low

  * New upstream release. Closes: #271574

 -- Guus Sliepen <guus@debian.org>  Thu, 28 Oct 2004 16:12:36 +0200

wireless-tools (26+27pre26-2) unstable; urgency=low

  * Fill in version number in libiw27.shlibs by hand. Closes: #275550

 -- Guus Sliepen <guus@debian.org>  Fri,  8 Oct 2004 22:36:29 +0200

wireless-tools (26+27pre26-1) unstable; urgency=low

  * New upstream release.
  * Fix -c option. Closes: #272522
  * Let wireless-tools depend on same version of libiw.
    Closes: #269520, #272431

 -- Guus Sliepen <guus@debian.org>  Wed,  6 Oct 2004 16:49:49 +0200

wireless-tools (26+27pre25-2) unstable; urgency=low

  * Really remove version requirements from description.

 -- Guus Sliepen <guus@debian.org>  Wed, 18 Aug 2004 13:00:03 +0000

wireless-tools (26+27pre25-1) unstable; urgency=low

  * New upstream release. Closes: #264533
  * Drop kernel version requirements from description. Closes: #263342

 -- Guus Sliepen <guus@debian.org>  Wed, 18 Aug 2004 14:55:22 +0200

wireless-tools (26+27pre22-1) unstable; urgency=low

  * New upstream release.
  * Fix encoding of French manpages. Closes: #247302
  * Use hyphens instead of underscores in wireless(7) and related
    documentation. Closes: #245436
  * Add Provides: libiw27 to libiw27-udeb. Closes: #250334
  * Make iw_get_basic_config() idiot kernel driver proof. Closes: #251277

 -- Guus Sliepen <guus@debian.org>  Wed,  2 Jun 2004 16:30:27 +0000

wireless-tools (26+27pre21-1) unstable; urgency=low

  * New upstream release.
  * Apply patch from upstream author to if-pre-up.d script,
    so options are processed in more or less the same order as the
    PCMCIA scripts do. Closes: #246062
  * Use underscores in wireless(7). Closes: #245436

 -- Guus Sliepen <guus@debian.org>  Thu, 29 Apr 2004 15:19:30 +0200

wireless-tools (26+27pre20-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Thu, 15 Apr 2004 15:30:17 +0200

wireless-tools (26+27pre18-1) unstable; urgency=low

  * New upstream release.
  * Remove build-depends on di-packages-build, since debhelper can now
    create udebs. Closes: #239492

 -- Guus Sliepen <guus@debian.org>  Tue, 30 Mar 2004 21:19:02 +0200

wireless-tools (26+27pre16-1) unstable; urgency=low

  * New upstream release. Closes: #236670
  * Create a new binary package ifrename.

 -- Guus Sliepen <guus@debian.org>  Sat, 13 Mar 2004 12:17:28 +0100

wireless-tools (26+27pre15-1) unstable; urgency=low

  * New upstream release. Closes: #236136

 -- Guus Sliepen <guus@debian.org>  Sun,  7 Mar 2004 15:30:50 +0100

wireless-tools (26+27pre10-3) unstable; urgency=low

  * Add patch for compatibility with drivers using old version of wireless
    extensions. Closes: #235032

 -- Guus Sliepen <guus@debian.org>  Fri, 27 Feb 2004 11:03:13 +0100

wireless-tools (26+27pre10-2) unstable; urgency=low

  * Make sure wireless-tools package depends on latest version of libiw27.
    Closes: #234078


=== debian/control ===
Source: wireless-tools
Section: net
Priority: extra
Maintainer: Guus Sliepen <guus@debian.org>
Standards-Version: 3.6.2
Build-Depends: debhelper (>= 4.2.32)

Package: wireless-tools
Section: net
Architecture: any
Depends: ${shlibs:Depends}
Description: Tools for manipulating Linux Wireless Extensions 
 This package contains the Wireless tools, used to manipulate
 the Linux Wireless Extensions. The Wireless Extension is an interface
 allowing you to set Wireless LAN specific parameters and get the
 specific stats.

Package: ifrename
Section: net
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: wireless-tools (<< 27+28pre9)
Description: Rename network interfaces based on various static criteria
 Ifrename allow the user to decide what name a network interface will have.
 Ifrename can use a variety of selectors to specify how interface names match
 the network interfaces on the system, the most common selector is the
 interface MAC address.

Package: libiw28
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Wireless tools - library
 Wireless tools are used to manipulate the Linux Wireless Extensions. The
 Wireless Extension is an interface allowing you to set Wireless LAN specific
 parameters and get the specific stats.
 .
 This package contains the dynamic library libiw.

Package: libiw-dev
Section: libdevel
Architecture: any
Depends: libiw28 (= ${Source-Version}), libc6-dev
Description: Wireless tools - development files
 Wireless tools are used to manipulate the Linux Wireless Extensions. The
 Wireless Extension is an interface allowing you to set Wireless LAN specific
 parameters and get the specific stats.
 .
 This package contains the header files and static version of libiw.

Package: wireless-tools-udeb
Section: debian-installer
Architecture: any
XC-Package-Type: udeb
Depends: ${shlibs:Depends}
Description: Tools for manipulating Linux Wireless Extensions
 This package contains the Wireless tools, used to manipulate the Linux
 Wireless Extensions. The Wireless Extension is an interface allowing you to
 set Wireless LAN specific parameters and get the specific stats.
 .
 This is a udeb of the wireless tools.

Package: libiw28-udeb
Section: debian-installer
Architecture: any
XC-Package-Type: udeb
Depends: ${shlibs:Depends}
Description: Tools for manipulating Linux Wireless Extensions
 This package contains the Wireless tools, used to manipulate the Linux
 Wireless Extensions. The Wireless Extension is an interface allowing you to
 set Wireless LAN specific parameters and get the specific stats.
 .
 This is a udeb of the wireless tools.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

UDEB_CFLAGS=-Os -I.

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) all libiw.a
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) realclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install install-static PREFIX="`pwd`/debian/tmp"
	dh_link
	dh_install
	install -D debian/pre-up debian/wireless-tools/etc/network/if-pre-up.d/wireless-tools
	install -D debian/post-down debian/wireless-tools/etc/network/if-post-down.d/wireless-tools
	$(MAKE) clean
	$(MAKE) BUILD_NOLIBM=y CFLAGS="$(UDEB_CFLAGS)" PREFIX="`pwd`/debian/tmp"
	dh_install -pwireless-tools-udeb iwconfig iwgetid sbin/
	dh_install -plibiw28-udeb libiw.so.28 lib/

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installmanpages
	dh_installdocs
	dh_installchangelogs CHANGELOG.h 
	dh_installinit --no-start -- start 40 S .
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
# --add-udeb=libiw28-udeb
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## wireless-tools 29

=== Makefile ===
--- 
+++ 
@@ -2,30 +2,35 @@
 ## Please check the configurion parameters below
 ##
 
-## Installation directory. By default, go in /usr/local
+## Installation directory. By default, go in /usr/local.
 ## Distributions should probably use /, but they probably know better...
 ifndef PREFIX
   PREFIX = /usr/local
 endif
 
-## Compiler to use (modify this for cross compile)
+## Compiler to use (modify this for cross compile).
 CC = gcc
-## Other tools you need to modify for cross compile (static lib only)
+## Other tools you need to modify for cross compile (static lib only).
 AR = ar
 RANLIB = ranlib
 
-## Uncomment this to build tools using static version of the library
+## Uncomment this to build tools using static version of the library.
 ## Mostly useful for embedded platforms without ldd, or to create
 ## a local version (non-root).
 # BUILD_STATIC = y
 
-## Uncomment this to build without using libm (less efficient)
+## Uncomment this to build without using libm (less efficient).
 ## This is mostly useful for embedded platforms without maths.
 # BUILD_NOLIBM = y
 
-## Uncomment this to strip binary from symbols. This reduce binary size
+## Uncomment this to strip binary from symbols. This reduce binary size.
 ## by a few percent but make debug worse...
 # BUILD_STRIPPING = y
+
+## Uncomment this to build with only essential functionality.
+## This leaves out the less used features and cut in half the tools.
+## This is mostly useful for embedded platforms without limited feature needs.
+# BUILD_WE_ESSENTIAL = y
 
 # ***************************************************************************
 # ***** Most users should not need to change anything beyond this point *****
@@ -68,8 +73,8 @@
 # Install directories
 INSTALL_DIR= $(PREFIX)/sbin/
 INSTALL_LIB= $(PREFIX)/lib/
-INSTALL_INC= $(PREFIX)/usr/include/
-INSTALL_MAN= $(PREFIX)/usr/share/man/
+INSTALL_INC= $(PREFIX)/include/
+INSTALL_MAN= $(PREFIX)/man/
 
 # Various commands
 RM = rm -f
@@ -91,12 +96,17 @@
   STRIPFLAGS=
 endif
 
+# Do we want to build with only essential functionality ?
+ifdef BUILD_WE_ESSENTIAL
+  WEDEF_FLAG= -DWE_ESSENTIAL=y
+endif
+
 # Other flags
-#CFLAGS=-Os -W -Wall -Wstrict-prototypes -Wmissing-prototypes -Wshadow \
+CFLAGS=-Os -W -Wall -Wstrict-prototypes -Wmissing-prototypes -Wshadow \
 	-Wpointer-arith -Wcast-qual -Winline -I.
-CFLAGS=-O2 -W -Wall -Wstrict-prototypes -I.
+#CFLAGS=-O2 -W -Wall -Wstrict-prototypes -I.
 DEPFLAGS=-MMD
-XCFLAGS=$(CFLAGS) $(DEPFLAGS) $(WARN) $(HEADERS) $(WELIB_FLAG)
+XCFLAGS=$(CFLAGS) $(DEPFLAGS) $(WARN) $(HEADERS) $(WELIB_FLAG) $(WEDEF_FLAG)
 PICFLAG=-fPIC
 
 # Standard compilation targets
@@ -173,14 +183,12 @@
 
 # How could you live without those manapages ?
 install-man::
-	for lang in . cs fr; do \
-		install -m 755 -d $(INSTALL_MAN)/$$lang/man8/; \
-		install -m 644 $$lang/$(MANPAGES8) $(INSTALL_MAN)/$$lang/man8/; \
-		install -m 755 -d $(INSTALL_MAN)/$$lang/man7/; \
-		install -m 644 $$lang/$(MANPAGES7) $(INSTALL_MAN)/$$lang/man7/; \
-		install -m 755 -d $(INSTALL_MAN)/$$lang/man5/; \
-		install -m 644 $$lang/$(MANPAGES5) $(INSTALL_MAN)/$$lang/man5/; \
-	done
+	install -m 755 -d $(INSTALL_MAN)/man8/
+	install -m 644 $(MANPAGES8) $(INSTALL_MAN)/man8/
+	install -m 755 -d $(INSTALL_MAN)/man7/
+	install -m 644 $(MANPAGES7) $(INSTALL_MAN)/man7/
+	install -m 755 -d $(INSTALL_MAN)/man5/
+	install -m 644 $(MANPAGES5) $(INSTALL_MAN)/man5/
 
 install-iwmulticall:: iwmulticall
 	install -m 755 -d $(INSTALL_DIR)

## wireless-tools 30~pre9

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,9 @@
 ## Uncomment this to build tools using static version of the library.
 ## Mostly useful for embedded platforms without ldd, or to create
 ## a local version (non-root).
-# BUILD_STATIC = y
+## Standard distros should comment that option to save space and to
+## build libiw.so used by third parties...
+BUILD_STATIC = y
 
 ## Uncomment this to build without using libm (less efficient).
 ## This is mostly useful for embedded platforms without maths.
@@ -71,10 +73,10 @@
 DYNAMIC_LINK= libiw.so
 
 # Install directories
-INSTALL_DIR= $(PREFIX)/sbin/
-INSTALL_LIB= $(PREFIX)/lib/
-INSTALL_INC= $(PREFIX)/include/
-INSTALL_MAN= $(PREFIX)/man/
+INSTALL_DIR= $(PREFIX)/sbin
+INSTALL_LIB= $(PREFIX)/lib
+INSTALL_INC= $(PREFIX)/include
+INSTALL_MAN= $(PREFIX)/man
 
 # Various commands
 RM = rm -f
@@ -183,12 +185,14 @@
 
 # How could you live without those manapages ?
 install-man::
-	install -m 755 -d $(INSTALL_MAN)/man8/
-	install -m 644 $(MANPAGES8) $(INSTALL_MAN)/man8/
-	install -m 755 -d $(INSTALL_MAN)/man7/
-	install -m 644 $(MANPAGES7) $(INSTALL_MAN)/man7/
-	install -m 755 -d $(INSTALL_MAN)/man5/
-	install -m 644 $(MANPAGES5) $(INSTALL_MAN)/man5/
+	for lang in . cs fr.*; do \
+	    install -m 755 -d $(INSTALL_MAN)/$$lang/man8/; \
+	    install -m 644 $$lang/$(MANPAGES8) $(INSTALL_MAN)/$$lang/man8/; \
+	    install -m 755 -d $(INSTALL_MAN)/$$lang/man7/; \
+	    install -m 644 $$lang/$(MANPAGES7) $(INSTALL_MAN)/$$lang/man7/; \
+	    install -m 755 -d $(INSTALL_MAN)/$$lang/man5/; \
+	    install -m 644 $$lang/$(MANPAGES5) $(INSTALL_MAN)/$$lang/man5/; \
+	done
 
 install-iwmulticall:: iwmulticall
 	install -m 755 -d $(INSTALL_DIR)
@@ -215,14 +219,16 @@
 	$(RM) $(INSTALL_LIB)/$(DYNAMIC_LINK)
 	$(RM) $(INSTALL_INC)/iwlib.h
 	$(RM) $(INSTALL_INC)/wireless.h
-	for f in $(MANPAGES8); do \
-	  $(RM) $(INSTALL_MAN)/man8/$$f; \
-	done
-	for f in $(MANPAGES7); do \
-	  $(RM) $(INSTALL_MAN)/man7/$$f; \
-	done
-	for f in $(MANPAGES5); do \
-	  $(RM) $(INSTALL_MAN)/man5/$$f; \
+	for lang in . cs fr.*; do \
+	    for f in $(MANPAGES8); do \
+		$(RM) $(INSTALL_MAN)/$$lang/man8/$$f; \
+	    done; \
+	    for f in $(MANPAGES7); do \
+		$(RM) $(INSTALL_MAN)/$$lang/man7/$$f; \
+	    done; \
+	    for f in $(MANPAGES5); do \
+		$(RM) $(INSTALL_MAN)/$$lang/man5/$$f; \
+	    done; \
 	done
 
 # Include dependancies

=== debian/changelog ===
wireless-tools (30~pre9-8) unstable; urgency=low

  * Add type to IMPORT keyword in ifrename's udev rules file. Closes: #650606

 -- Guus Sliepen <guus@debian.org>  Fri, 23 Dec 2011 16:02:18 +0100

wireless-tools (30~pre9-7) unstable; urgency=low

  * Add missing Build-Depend on dpkg-dev. Closes: #644744
  * Set key values after setting default key and key mode. Closes: #624603

 -- Guus Sliepen <guus@debian.org>  Mon, 14 Nov 2011 11:09:01 +0100

wireless-tools (30~pre9-6) unstable; urgency=low

  * Apply patch from Riku Voipio to support multiarch. Closes: #642434
  * Bump Standards-Version.
  * Provide build-arch and build-indep targets in debian/rules. 
  * Use /usr/share/dpkg/default.mk in debian/rules.
  * Allow CFLAGS to be set from debian/rules.

 -- Guus Sliepen <guus@debian.org>  Sun, 02 Oct 2011 21:43:21 +0200

wireless-tools (30~pre9-5) unstable; urgency=low

  * Apply patch from Steve Langesak clarifying the iftab manpage.
    Closes: #528324
  * Bump Standards-Version.
  * Only build wireless-tools on Linux.

 -- Guus Sliepen <guus@debian.org>  Sun, 04 Jul 2010 11:18:28 +0200

wireless-tools (30~pre9-4) unstable; urgency=low

  * Let ifrename udev rules be priority 19 instead of 019. Closes: #560801
  * Use udev rules from upstream. Closes: #556441
  * Depend on ${misc:Depends}.

 -- Guus Sliepen <guus@debian.org>  Sat, 23 Jan 2010 23:54:32 +0100

wireless-tools (30~pre9-3) unstable; urgency=low

  * Move (correctly) the scripts back to pre-up and post-down, since the
    wireless parameters must be fully configured before we can acquire an
    address through DHCP. Closes: #558476, #558221, #552093, #544883
  * Try to deal with the wireless driver madness by trying to configure all
    parameters before the interface is brought up, remembering which parameters
    failed to be set, and retrying those after bringing up the interface in the
    pre-up script.

 -- Guus Sliepen <guus@debian.org>  Fri, 18 Dec 2009 15:46:42 +0100

wireless-tools (30~pre9-2) unstable; urgency=low

  * Ensure existing pre-up and post-down scripts are properly moved to up and
    down. Closes: #558221

 -- Guus Sliepen <guus@debian.org>  Fri, 27 Nov 2009 17:28:41 +0100

wireless-tools (30~pre9-1) unstable; urgency=low

  * New upstream release.
    - Includes fix for Czech manpage for iwconfig.
    - Does not redefine inline keyword on recent compilers anymore.
      Closes: #548192
    - Prevents huge memory allocations when scanning. Closes: #541648
    - Does not use NAME="%k" in 19-udev-ifrename.rules anymore. Closes: #556441
    - Fixes iwlist scan on 64bit platforms again. Closes: #496481
  * Convert source package to 3.0 (quilt) format.
  * Bump Standars-Version.

 -- Guus Sliepen <guus@debian.org>  Thu, 26 Nov 2009 15:57:33 +0000

wireless-tools (30~pre8-1) experimental; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Tue, 10 Mar 2009 00:28:50 +0100

wireless-tools (30~pre7-1) experimental; urgency=low

  * New upstream release.
    - Fixes output of "iwlist scan" on 64 bit platforms. Closes: #496481
  * Bump Standards-Version.
  * Depend on debhelper >= 5.0.44~ for dh_installifupdown.
  * Add a genuine copyright notice to the copyright file.
  * Fix Czech manpage for iwconfig.

 -- Guus Sliepen <guus@debian.org>  Thu, 25 Sep 2008 20:13:58 +0200

wireless-tools (30~pre6-1) experimental; urgency=low

  * New upstream release.
  * Move pre-up script to up, because most new kernel drivers for wireless
    cards only accept certain configuration after the interface has been
    brought up. This may break older drivers that only accept configuration
    when the interface is down.
  * Use dh_installifupdown to install network scripts.

 -- Guus Sliepen <guus@debian.org>  Sun, 20 Jan 2008 15:18:39 +0100

wireless-tools (30~pre5-1) experimental; urgency=low

  * New upstream release.
  * Fix installation of French manpages.
  * Remove unused dependency on libm from the binaries.
  * Use -t option in ifrename's init script. Closes: #351185
  * Move init script to S37.

 -- Guus Sliepen <guus@debian.org>  Fri, 07 Dec 2007 16:48:44 +0100

wireless-tools (30~pre3-1) experimental; urgency=low

  * New upstream release.
    - No longer requires /etc/iftab when using the -n option. Closes: #446684
  * Install the ifrename udev rule file.

 -- Guus Sliepen <guus@debian.org>  Fri, 19 Oct 2007 00:58:43 +0200

wireless-tools (30~pre1-1) experimental; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Mon, 15 Oct 2007 13:56:27 +0200

wireless-tools (29-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Mon, 15 Oct 2007 10:55:49 +0200

wireless-tools (29~pre22-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Sun, 01 Jul 2007 18:03:58 +0200

wireless-tools (29~pre21-2) unstable; urgency=low

  * Don't look at LINUX_VERSION_CODE, only use generic header files in
    iwlib.h. Closes: #425485

 -- Guus Sliepen <guus@debian.org>  Tue, 22 May 2007 10:27:46 +0200

wireless-tools (29~pre21-1) unstable; urgency=low

  * New upstream release. Closes: #421569

 -- Guus Sliepen <guus@debian.org>  Thu, 03 May 2007 13:55:01 +0200

wireless-tools (29~pre20-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright and remove section about kernel versions from
    README.Debian.
  * Fix compiler warning about wrong format specifiers in iwlist.c.

 -- Guus Sliepen <guus@debian.org>  Sun, 22 Apr 2007 12:51:43 +0200

wireless-tools (29~pre18-1) experimental; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Wed, 18 Apr 2007 10:18:16 +0200

wireless-tools (29~pre17-1) experimental; urgency=low

  * New upstream release. Closes: #398018
  * Add LSB section to the ifrename init script.

 -- Guus Sliepen <guus@debian.org>  Tue, 27 Mar 2007 10:39:33 +0200

wireless-tools (28+29pre10-1) experimental; urgency=low

  * New upstream release.



=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: net
 Priority: extra
 Maintainer: Guus Sliepen <guus@debian.org>
-Standards-Version: 3.6.2
-Build-Depends: debhelper (>= 4.2.32)
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8.1.3), dpkg-dev (>= 1.16.1~)
+Homepage: http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html
 
 Package: wireless-tools
 Section: net
-Architecture: any
-Depends: ${shlibs:Depends}
+Architecture: linux-any
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Tools for manipulating Linux Wireless Extensions 
  This package contains the Wireless tools, used to manipulate
  the Linux Wireless Extensions. The Wireless Extension is an interface
@@ -17,8 +19,9 @@
 
 Package: ifrename
 Section: net
-Architecture: any
-Depends: ${shlibs:Depends}
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: foreign
 Conflicts: wireless-tools (<< 27+28pre9)
 Description: Rename network interfaces based on various static criteria
  Ifrename allow the user to decide what name a network interface will have.
@@ -26,10 +29,12 @@
  the network interfaces on the system, the most common selector is the
  interface MAC address.
 
-Package: libiw28
+Package: libiw30
 Section: libs
-Architecture: any
-Depends: ${shlibs:Depends}
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Wireless tools - library
  Wireless tools are used to manipulate the Linux Wireless Extensions. The
  Wireless Extension is an interface allowing you to set Wireless LAN specific
@@ -39,8 +44,9 @@
 
 Package: libiw-dev
 Section: libdevel
-Architecture: any
-Depends: libiw28 (= ${Source-Version}), libc6-dev
+Architecture: linux-any
+Multi-Arch: same
+Depends: libiw30 (= ${binary:Version}), libc6-dev, ${misc:Depends}
 Description: Wireless tools - development files
  Wireless tools are used to manipulate the Linux Wireless Extensions. The
  Wireless Extension is an interface allowing you to set Wireless LAN specific
@@ -50,7 +56,7 @@
 
 Package: wireless-tools-udeb
 Section: debian-installer
-Architecture: any
+Architecture: linux-any
 XC-Package-Type: udeb
 Depends: ${shlibs:Depends}
 Description: Tools for manipulating Linux Wireless Extensions
@@ -60,9 +66,9 @@
  .
  This is a udeb of the wireless tools.
 
-Package: libiw28-udeb
+Package: libiw30-udeb
 Section: debian-installer
-Architecture: any
+Architecture: linux-any
 XC-Package-Type: udeb
 Depends: ${shlibs:Depends}
 Description: Tools for manipulating Linux Wireless Extensions

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = yes
include /usr/share/dpkg/default.mk

UDEB_CFLAGS=-Os -I.

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) all libiw.a
	touch build-stamp


clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp debian/ifrename.udev
	$(MAKE) realclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install install-static PREFIX="`pwd`/debian/tmp"
	cp 19-udev-ifrename.rules debian/ifrename.udev
	dh_install
	mkdir -p debian/libiw30/lib/$(DEB_HOST_MULTIARCH)/
	mkdir -p debian/libiw-dev/usr/lib/$(DEB_HOST_MULTIARCH)/
	cp debian/tmp/lib/libiw.so.30 debian/libiw30/lib/$(DEB_HOST_MULTIARCH)/libiw.so.30
	cp debian/tmp/lib/libiw.a debian/libiw-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libiw.a
	ln -s /lib/$(DEB_HOST_MULTIARCH)/libiw.so.30 debian/libiw-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libiw.so
	$(MAKE) clean
	$(MAKE) BUILD_NOLIBM=y CFLAGS="$(UDEB_CFLAGS)" PREFIX="`pwd`/debian/tmp"
	dh_install -pwireless-tools-udeb iwconfig iwgetid sbin/
	dh_install -plibiw30-udeb libiw.so.30 lib/

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installmanpages
	dh_installdocs
	dh_installchangelogs CHANGELOG.h 
	dh_installinit --no-start -- start 37 S .
	dh_installifupdown
	dh_installudev --priority=19
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs --add-udeb=libiw30-udeb
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## wireless-tools 30~pre9-13.1ubuntu4+11.0trisquel1

=== debian/changelog ===
wireless-tools (30~pre9-13.1ubuntu4+11.0trisquel1) aramo; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 30 Nov 2022 19:46:26 +0000

wireless-tools (30~pre9-13.1ubuntu4) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 11:00:00 +0100

wireless-tools (30~pre9-13.1ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:26:28 +0200

wireless-tools (30~pre9-13.1ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:36:39 +0100

wireless-tools (30~pre9-13.1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Remove the ifrename package; it conflicts with our own udev package
      which provides /etc/iftab support.
    - Add iwlist and iwevent to the wireless-tools udeb.
  * Dropped changes, no longer needed:
    - compiler-link-order.patch: libraries must be specified after the
      object/library that needs them otherwise nothing is used from them.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 May 2020 14:42:43 -0700

wireless-tools (30~pre9-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs. (Closes: #925857)
    - Thanks Reiner Herrmann.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 13 Mar 2020 20:33:27 +0000

wireless-tools (30~pre9-13ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - compiler-link-order.patch: libraries must be specified after the
      object/library that needs them otherwise nothing is used from them.
    - Remove the ifrename package; it conflicts with our own udev package
      which provides /etc/iftab support.
    - Add iwlist and iwevent to the wireless-tools udeb.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Jan 2019 23:09:04 -0800

wireless-tools (30~pre9-13) unstable; urgency=medium

  * Call /sbin/ip instead of ifconfg in if-pre-up script. (Closes: 908886)
  * Bump debian/compat to 11.
  * Change Priority to optional.
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Sat, 15 Sep 2018 16:35:08 +0200

wireless-tools (30~pre9-12ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - compiler-link-order.patch: libraries must be specified after the
      object/library that needs them otherwise nothing is used from them.
    - Remove the ifrename package; it conflicts with our own udev package
      which provides /etc/iftab support.
    - Add iwlist and iwevent to the wireless-tools udeb.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Apr 2017 20:58:38 -0700

wireless-tools (30~pre9-12) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Also use dh_auto_build for the udeb pass. Closes: #839800

 -- Guus Sliepen <guus@debian.org>  Wed, 05 Oct 2016 14:24:54 +0200

wireless-tools (30~pre9-11) unstable; urgency=medium

  * Add ConditionPathExists=/etc/iftab to ifrename.service. Closes: #823028
  * Fix Documentation URL in ifrename.service.
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Sat, 30 Apr 2016 20:28:44 +0200

wireless-tools (30~pre9-10) unstable; urgency=medium

  * Fix libiw.so symlink in the libiw-dev package. Closes: #822391

 -- Guus Sliepen <guus@debian.org>  Sun, 24 Apr 2016 12:59:01 +0200

wireless-tools (30~pre9-9) unstable; urgency=medium

  [ Elliot Mitchell ]
  * Support multiple 802.11 tool scripts for ifupdown. Closes: #154367
    - By default, the if-pre-up and if-post-down scripts will now check
      if the interface actually supports wireless-tools, otherwise they
      will exit without an error. Closes: #445356

  [ A. Costa ]
  * Fixed a typo in iwlist.8. Closes: #683635

  [ Guus Sliepen ]
  * Convert debian/rules to dh.
  * Bump Standards-Version.
  * Bump debian/compat.
  * Source /lib/lsb/init-functions in ifrename's init script.
  * Add a systemd service file for ifrename.

 -- Guus Sliepen <guus@debian.org>  Thu, 24 Mar 2016 22:31:00 +0100

wireless-tools (30~pre9-8ubuntu2) artful; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Apr 2017 21:00:09 +0000

wireless-tools (30~pre9-8ubuntu1) quantal; urgency=low

  * Merge with Debian; remaining changes:
    - compiler-link-order.patch: libraries must be specified after the
      object/library that needs them otherwise nothing is used from them.
    - Remove the ifrename package; it conflicts with our own udev package
      which provides /etc/iftab support.
    - Add iwlist and iwevent to the wireless-tools udeb.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 03 May 2012 09:24:49 -0400

wireless-tools (30~pre9-5ubuntu2) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 18:00:39 +0100

wireless-tools (30~pre9-5ubuntu1) oneiric; urgency=low

  * Merge with Debian; remaining changes (LP: #777358):
    - compiler-link-order.patch: libraries must be specified after the
      object/library that needs them otherwise nothing is used from them.
    - Remove the ifrename package; it conflicts with our own udev package
      which provides /etc/iftab support.
    - Add iwlist and iwevent to the wireless-tools udeb.
  * debian/patches/series: drop the debian-* patches introduced from various
    previous Ubuntu changes.
  * debian/rules,
    debian/wireless-tools.install:
    yank out rfkill, which is now shipped in its own package which we get from
    Debian. (LP: #711860)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 04 May 2011 14:50:35 -0400



=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: wireless-tools
 Section: net
-Priority: extra
-Maintainer: Guus Sliepen <guus@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8.1.3), dpkg-dev (>= 1.16.1~)
+Priority: optional
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Guus Sliepen <guus@debian.org>
+Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.16.1~)
 Homepage: http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html
 
 Package: wireless-tools
@@ -16,18 +17,6 @@
  the Linux Wireless Extensions. The Wireless Extension is an interface
  allowing you to set Wireless LAN specific parameters and get the
  specific stats.
-
-Package: ifrename
-Section: net
-Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Multi-Arch: foreign
-Conflicts: wireless-tools (<< 27+28pre9)
-Description: Rename network interfaces based on various static criteria
- Ifrename allow the user to decide what name a network interface will have.
- Ifrename can use a variety of selectors to specify how interface names match
- the network interfaces on the system, the most common selector is the
- interface MAC address.
 
 Package: libiw30
 Section: libs
